org.optaplanner.core.config.heuristic.selector.move.generic.chained

## Class SubChainChangeMoveSelectorConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<C>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<SubChainChangeMoveSelectorConfig>
      - - org.optaplanner.core.config.heuristic.selector.move.generic.chained.SubChainChangeMoveSelectorConfig

-     public class SubChainChangeMoveSelectorConfig
      extends MoveSelectorConfig<SubChainChangeMoveSelectorConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubChainChangeMoveSelectorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
    `SubChainChangeMoveSelectorConfig` | `copyConfig()` Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `Class<?>` | `getEntityClass()`
    `Boolean` | `getSelectReversingMoveToo()`
    `SubChainSelectorConfig` | `getSubChainSelectorConfig()`
    `ValueSelectorConfig` | `getValueSelectorConfig()`
    `SubChainChangeMoveSelectorConfig` | `inherit(SubChainChangeMoveSelectorConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setEntityClass(Class<?> entityClass)`
    `void` | `setSelectReversingMoveToo(Boolean selectReversingMoveToo)`
    `void` | `setSubChainSelectorConfig(SubChainSelectorConfig subChainSelectorConfig)`
    `void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `buildMoveSelector, buildUnfoldedMoveSelectorConfig, determineBaseRandomSelection, extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClassList, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig

      `validateCacheTypeVersusSelectionOrder`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubChainChangeMoveSelectorConfig

          public SubChainChangeMoveSelectorConfig()

  - ### Method Detail

    - #### getEntityClass

          public Class<?> getEntityClass()

    - #### setEntityClass

          public void setEntityClass(Class<?> entityClass)

    - #### getSubChainSelectorConfig

          public SubChainSelectorConfig getSubChainSelectorConfig()

    - #### setSubChainSelectorConfig

          public void setSubChainSelectorConfig(SubChainSelectorConfig subChainSelectorConfig)

    - #### getValueSelectorConfig

          public ValueSelectorConfig getValueSelectorConfig()

    - #### setValueSelectorConfig

          public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

    - #### getSelectReversingMoveToo

          public Boolean getSelectReversingMoveToo()

    - #### setSelectReversingMoveToo

          public void setSelectReversingMoveToo(Boolean selectReversingMoveToo)

    - #### buildBaseMoveSelector

          public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                                    SelectionCacheType minimumCacheType,
                                                    boolean randomSelection)

      Specified by:
        `buildBaseMoveSelector` in class `MoveSelectorConfig<SubChainChangeMoveSelectorConfig>`
      Parameters:
        `configPolicy` - never null
        `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
        `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
      Returns:
        never null

    - #### inherit

          public SubChainChangeMoveSelectorConfig inherit(SubChainChangeMoveSelectorConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `MoveSelectorConfig<SubChainChangeMoveSelectorConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public SubChainChangeMoveSelectorConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<SubChainChangeMoveSelectorConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<SubChainChangeMoveSelectorConfig>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.